COMException (JNA API)

com.sun.jna.platform.win32.COM

## Class COMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jna.platform.win32.COM.COMException

- All Implemented Interfaces:
    java.io.Serializable

      public class COMException
      extends java.lang.RuntimeException

  Exception class for all COM related classes.
  Author:
    Tobias Wolf, wolf.tobias@gmx.net
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `COMException()` Instantiates a new automation exception.
    `COMException(java.lang.String message)` Instantiates a new automation exception.
    `COMException(java.lang.String message, OaIdl.EXCEPINFO pExcepInfo, IntByReference puArgErr)` Instantiates a new automation exception.
    `COMException(java.lang.String message, java.lang.Throwable cause)` Instantiates a new automation exception.
    `COMException(java.lang.Throwable cause)` Instantiates a new automation exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IntByReference` | `getArgErr()` Gets the arg err.
    `OaIdl.EXCEPINFO` | `getExcepInfo()` Gets the excep info.
    `int` | `getuArgErr()`
    `void` | `setuArgErr(int uArgErr)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### COMException

          public COMException()

      Instantiates a new automation exception.

    - #### COMException

          public COMException(java.lang.String message,
                              java.lang.Throwable cause)

      Instantiates a new automation exception.
      Parameters:
        `message` - the message
        `cause` - the cause

    - #### COMException

          public COMException(java.lang.String message)

      Instantiates a new automation exception.
      Parameters:
        `message` - the message

    - #### COMException

          public COMException(java.lang.String message,
                              OaIdl.EXCEPINFO pExcepInfo,
                              IntByReference puArgErr)

      Instantiates a new automation exception.
      Parameters:
        `message` - the message
        `pExcepInfo` - the excep info
        `puArgErr` - the pu arg err

    - #### COMException

          public COMException(java.lang.Throwable cause)

      Instantiates a new automation exception.
      Parameters:
        `cause` - the cause

  - ### Method Detail

    - #### getExcepInfo

          public OaIdl.EXCEPINFO getExcepInfo()

      Gets the excep info.
      Returns:
        the excep info

    - #### getArgErr

          public IntByReference getArgErr()

      Gets the arg err.
      Returns:
        the arg err

    - #### getuArgErr

          public int getuArgErr()

    - #### setuArgErr

          public void setuArgErr(int uArgErr)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.